--- Directories.pas.orig	Fri Apr 19 12:09:30 2013
+++ Directories.pas	Fri Apr 19 12:09:54 2013
@@ -64,8 +64,8 @@
   end;
 if not DirectoryExists(DataDir+'Saved') then
   CreateDir(DataDir+'Saved');
-if not DirectoryExists(DataDir+'Maps') then
-  CreateDir(DataDir+'Maps');
+if not DirectoryExists(HomeDir+'Maps') then
+  CreateDir(HomeDir+'Maps');
 
 // copy appdata if not done yet
 if FindFirst(HomeDir+'AppData\Saved\*.cevo',$21,src)=0 then
--- GameServer.pas.orig	Fri Apr 19 12:06:50 2013
+++ GameServer.pas	Fri Apr 19 12:07:52 2013
@@ -486,7 +486,7 @@
 MapFile: TFileStream;
 s: string[255];
 begin
-MapFile:=TFileStream.Create(DataDir+'Maps\'+FileName, fmCreate or fmShareExclusive);
+MapFile:=TFileStream.Create(HomeDir+'Maps\'+FileName, fmCreate or fmShareExclusive);
 MapFile.Position:=0;
 s:='cEvoMap'#0; MapFile.write(s[1],8); {file id}
 i:=0; MapFile.write(i,4); {format id}
@@ -506,7 +506,7 @@
 result:=false;
 MapFile:=nil;
 try
-  MapFile:=TFileStream.Create(DataDir+'Maps\'+FileName, fmOpenRead or fmShareExclusive);
+  MapFile:=TFileStream.Create(HomeDir+'Maps\'+FileName, fmOpenRead or fmShareExclusive);
   MapFile.Position:=0;
   MapFile.read(s[1],8); {file id}
   MapFile.read(i,4); {format id}
--- Start.pas.orig	Fri Apr 19 12:06:58 2013
+++ Start.pas	Fri Apr 19 12:09:06 2013
@@ -1047,7 +1047,7 @@
     begin
     MiniMode:=mmPicture;
     if Page=pgEditMap then MapFileName:=List.Items[List.ItemIndex]+'.cevo map';
-    if LoadGraphicFile(Mini, DataDir+'Maps\'+Copy(MapFileName,1,Length(MapFileName)-9), gfNoError) then
+    if LoadGraphicFile(Mini, HomeDir+'Maps\'+Copy(MapFileName,1,Length(MapFileName)-9), gfNoError) then
       begin
       if Mini.Width div 2>MaxWidthMapLogo then Mini.Width:=MaxWidthMapLogo*2;
       if Mini.Height>MaxHeightMapLogo then Mini.Height:=MaxHeightMapLogo;
@@ -1060,7 +1060,7 @@
       MiniWidth:=MaxWidthMapLogo; MiniHeight:=MaxHeightMapLogo;
       end;
 
-    AssignFile(MapFile,DataDir+'Maps\'+MapFileName);
+    AssignFile(MapFile,HomeDir+'Maps\'+MapFileName);
     try
       Reset(MapFile,4);
       BlockRead(MapFile,s[1],2); {file id}
@@ -1228,7 +1228,7 @@
 f: TSearchRec;
 begin
 Maps.Clear;
-if FindFirst(DataDir+'Maps\*.cevo map',$21,f)=0 then
+if FindFirst(HomeDir+'Maps\*.cevo map',$21,f)=0 then
   repeat
     Maps.Add(Copy(f.Name,1,Length(f.Name)-9));
   until FindNext(f)<>0;
@@ -1546,20 +1546,20 @@
         end;
     if Page=pgLoad then
       AssignFile(f,DataDir+'Saved\'+List.Items[List.ItemIndex]+'.cevo')
-    else AssignFile(f,DataDir+'Maps\'+List.Items[List.ItemIndex]+'.cevo map');
+    else AssignFile(f,HomeDir+'Maps\'+List.Items[List.ItemIndex]+'.cevo map');
     ok:=true;
     try
       if Page=pgLoad then
         Rename(f,DataDir+'Saved\'+NewName+'.cevo')
-      else Rename(f,DataDir+'Maps\'+NewName+'.cevo map');
+      else Rename(f,HomeDir+'Maps\'+NewName+'.cevo map');
     except
 //      Play('INVALID');
       ok:=false
       end;
     if Page<>pgLoad then
       try // rename map picture
-        AssignFile(f,DataDir+'Maps\'+List.Items[List.ItemIndex]+'.bmp');
-        Rename(f,DataDir+'Maps\'+NewName+'.bmp');
+        AssignFile(f,HomeDir+'Maps\'+List.Items[List.ItemIndex]+'.bmp');
+        Rename(f,HomeDir+'Maps\'+NewName+'.bmp');
       except
         end;
     if ok then
@@ -1590,7 +1590,7 @@
     begin
     if Page=pgLoad then
       AssignFile(f,DataDir+'Saved\'+List.Items[List.ItemIndex]+'.cevo')
-    else AssignFile(f,DataDir+'Maps\'+List.Items[List.ItemIndex]+'.cevo map');
+    else AssignFile(f,HomeDir+'Maps\'+List.Items[List.ItemIndex]+'.cevo map');
     Erase(f);
     iDel:=List.ItemIndex;
     if Page=pgLoad then FormerGames.Delete(iDel)
